summaryrefslogtreecommitdiff
path: root/evergreen/run_python_script.sh
diff options
context:
space:
mode:
Diffstat (limited to 'evergreen/run_python_script.sh')
-rw-r--r--evergreen/run_python_script.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/evergreen/run_python_script.sh b/evergreen/run_python_script.sh
new file mode 100644
index 00000000000..35181dec3c1
--- /dev/null
+++ b/evergreen/run_python_script.sh
@@ -0,0 +1,11 @@
+unset workdir
+DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" > /dev/null 2>&1 && pwd)"
+. "$DIR/prelude.sh"
+
+set -o errexit
+set -o verbose
+
+cd src
+
+activate_venv
+$python $@